Bug 522610 - Update to kernel 2.6.30.5-43.fc11.i586 broke brightness changing
Update to kernel 2.6.30.5-43.fc11.i586 broke brightness changing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 16:04 EDT by JanS
Modified: 2010-06-28 10:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lshal for kernel 2.6.30.5-43.fc11.i586 (132.42 KB, text/plain)
2009-09-10 16:04 EDT, JanS
no flags Details
lshal for kernel 2.6.29.6-217.2.16.fc11.i586 (129.29 KB, text/plain)
2009-09-10 16:05 EDT, JanS
no flags Details

  None (edit)
Description JanS 2009-09-10 16:04:51 EDT
Created attachment 360564 [details]
lshal for kernel 2.6.30.5-43.fc11.i586

Description of problem:

On kernel 2.6.29.6-217.2.16.fc11.i586 I could change brightness with gnome-brightness-applet
After update to kernel 2.6.30.5-43.fc11.i586 changing brightness does not work anymore.

I think it could have something in common with the appearance of the device "Generic Backlight Device" in lshal. Here is a one part from lshal, it wasn't there before:


 udi = '/org/freedesktop/Hal/devices/computer_backlight'
  info.addons = {'hald-addon-generic-backlight'} (string list)
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.LaptopPanel'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Generic Backlight Device'  (string)
  info.subsystem = 'backlight'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_backlight'  (string)
  laptop_panel.access_method = 'general'  (string)
  laptop_panel.brightness_in_hardware = false  (bool)
  laptop_panel.num_levels = 8  (0x8)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'backlight'  (string)
  linux.sysfs_path = '/sys/devices/virtual/backlight/acpi_video0'  (string)


Another issue is that now (after kernel update) suspend often fails, and drops to login screen insead of sleeping a computer. After doing login in this state, X are starting slowly and on the Brightness Applet icon appears a red sign. Power Manager seems to be dead too.

It is hard to test changing brightness with multimedia (Fn + XX) keys as in Samsung laptops they are broken, i.e. they are not sending key release events (see Bug http://bugzilla.kernel.org/show_bug.cgi?id=14052). So using Brightness Applet is the only way.

Version-Release number of selected component (if applicable):
Fedora 11 up to date, i.e.
kernel.i586                        2.6.30.5-43.fc11 
gnome-applets.i586                 1:2.26.3-1.fc11

How reproducible:
Allways

Steps to Reproduce:
1. Test changing brightness with Brightness Applet
2. Update to 2.6.30.5-43.fc11 kernel
3. See 
  
Actual results:
Brightness Applet does nothing. Brightness keys are broken and are hanging keyboard. I cannot change backlight.

Expected results:
Both brightness keys and Brightness Applet can change display brightness.


Additional info:
Samsung X360
see new and old lshal in attachments for more info.
Comment 1 JanS 2009-09-10 16:05:57 EDT
Created attachment 360565 [details]
lshal for kernel 2.6.29.6-217.2.16.fc11.i586
Comment 3 Eric Donkersloot 2009-11-30 15:27:55 EST
This report seems to be a duplicate of #519105
Comment 4 Bug Zapper 2010-04-28 06:16:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 10:34:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.